Loading...
Searching...
No Matches
RDKit::SmartsWrite Namespace Reference

## Functions

RDKIT_SMILESPARSE_EXPORT std::string | GetAtomSmarts (const Atom *qatom, const SmilesWriteParams &params)
| returns the SMARTS for an Atom
std::string | GetAtomSmarts (const Atom *qatom)
| returns the SMARTS for an Atom
RDKIT_SMILESPARSE_EXPORT std::string | GetBondSmarts (const Bond *qbond, const SmilesWriteParams &params, int atomToLeftIdx=-1)
| returns the SMARTS for a Bond
std::string | GetBondSmarts (const Bond *qbond, int atomToLeftIdx=-1)
| returns the SMARTS for a Bond

## Function Documentation

## GetAtomSmarts() [1/2]

std::string RDKit::SmartsWrite::GetAtomSmarts | ( | const Atom * | qatom | ) |

inline

returns the SMARTS for an Atom

Definition at line 29 of file SmartsWrite.h.

References GetAtomSmarts().

## GetAtomSmarts() [2/2]

RDKIT_SMILESPARSE_EXPORT std::string RDKit::SmartsWrite::GetAtomSmarts | ( | const Atom * | qatom,
|  | const SmilesWriteParams & | params )

returns the SMARTS for an Atom

References RDKIT_SMILESPARSE_EXPORT.

Referenced by GetAtomSmarts().

## GetBondSmarts() [1/2]

RDKIT_SMILESPARSE_EXPORT std::string RDKit::SmartsWrite::GetBondSmarts | ( | const Bond * | qbond,
|  | const SmilesWriteParams & | params,
|  | int | atomToLeftIdx = -1 )

returns the SMARTS for a Bond

References RDKIT_SMILESPARSE_EXPORT.

Referenced by GetBondSmarts().

## GetBondSmarts() [2/2]

std::string RDKit::SmartsWrite::GetBondSmarts | ( | const Bond * | qbond,
|  | int | atomToLeftIdx = -1 )

inline

returns the SMARTS for a Bond

Definition at line 38 of file SmartsWrite.h.

References RDKit::SmilesWriteParams::doIsomericSmiles, and GetBondSmarts().